Reply

Create a balloon in a sketch

[ Edited ]

 

Hi

How do I create a balloon in a sketch using the API?

Dim oSEDoc As SolidEdgeAssembly.AssemblyDocument = Nothing

Dim oProfile As SolidEdgePart.Profile = Nothing

Dim oLine As SolidEdgeFrameworkSupport.Line2d

Dim oBalloon As SolidEdgeFrameworkSupport.Balloon

 

  oSEApp = GetObject(, "SolidEdge.Application")

  oProfile = oSEApp.ActiveDocument.ActiveSketch

 

  'Create a line

  oLine = oProfile.Lines2D.AddBy2Points(0,0,1,0)

 

  'Now attach a balloon to it

  oBalloon = oProfile.???.(???)

 

 Thanks

 

Posted by: Pascal Boivin
Post date: 4/15/2010 8:24:16 AM

2 REPLIES

RE: Create a balloon in a sketch

[ Edited ]

Or maybe by using a command? Any idea?

 

Posted by: Pascal Boivin
Post date: 4/20/2010 3:27:55 AM

RE: Create a balloon in a sketch

[ Edited ]

 

Hi Pascal,

It don't really know how to do it, but you could try the following command id;

oSEapp.StartCommand(32856)

This creates a balloon annoatation. For the rest I can't help your, sorry.

Good Luck!

 

 

Posted by: Wouter Sloof
Post date: 4/20/2010 4:04:42 AM